---
title: '<xsl:copy-of>'
slug: Web/XSLT/Element/copy-of
tags:
  - Element
  - Reference
  - XSLT
  - copy-of
---
<p>{{ XsltRef() }}</p>

<p>The <code>&lt;xsl:copy-of&gt;</code> element makes a deep copy (including descendant nodes) of whatever the select attribute specifies to the output document.</p>

<h3 id="Syntax">Syntax</h3>

<pre>&lt;xsl:copy-of select=EXPRESSION /&gt; </pre>

<h3 id="Required_Attributes">Required Attributes</h3>

<dl>
 <dt><code>select</code></dt>
 <dd>Uses an XPath expression that specifies what is to be copied.</dd>
</dl>

<h3 id="Optional_Attributes">Optional Attributes</h3>

<p>None.</p>

<h3 id="Type">Type</h3>

<p>Instruction, appears within a template.</p>

<h3 id="Defined">Defined</h3>

<p>XSLT, section 11.3.</p>

<h3 id="Gecko_support">Gecko support</h3>

<p>Supported.</p>
